Package org.kapott.hbci.GV_Result

# Class GVRInstUebSEPA

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRInstUebSEPA

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRInstUebSEPA extends HBCIJobResultImpl
Rückgabedaten für das Einreichen einer SEPA-Instant Überweisung.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRInstUebSEPA()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCancellationCode()`
`String`
`getOrderId()`
`String`
`getOrderStatus()`
`void`
`setCancellationCode(String cancellationCode)`
`void`
`setOrderId(String orderId)`
`void`
`setOrderStatus(String orderStatus)`
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRInstUebSEPA

public GVRInstUebSEPA()

## Method Details

### getOrderId

public String getOrderId()

### setOrderId

public void setOrderId(String orderId)

### getOrderStatus

public String getOrderStatus()

### setOrderStatus

public void setOrderStatus(String orderStatus)

### getCancellationCode

public String getCancellationCode()

### setCancellationCode

public void setCancellationCode(String cancellationCode)

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`